      subroutine epv_zero(nocz,nvz,
     *sttvpp,stvpp,sttvp,stvp,sttv,stv,sttppv,
     *sttpv,stppv,stpv,sppv,spv,stvtvpp,stvtvp,stvtv,sttpvpv,stpvpv,
     *spvpv,sttvppv,sttvpv,stvppv,stvpv,stvtvppv,stvtvpv,sttvpvpv,
     *stvpvpv,stvtvpvpv)
      implicit real*8 (a-h,o-x,z),logical*1(y)
      parameter (nexci=2,ngru3=2048)
      parameter(maxsym=8)
      include 'maxorb.prm'
      parameter(maxorbcas=16)
      common/csc2/ nicdi,nv2,norbs,nocas,nvs,ii28,itptp1,itptp2
      common /cstes_hab/sttpp,sttp,stt,stpp,stp,st,spp,sp
      real*4 sttvpp(nocz),stvpp(nocz),sttvp(nocz),
     *stvp(nocz),sttv(nocz),stv(nocz),sttppv(nvz),sttpv(nvz),
     *stppv(nvz),stpv(nvz),sppv(nvz),spv(nvz)
      real*4 stvtvpp(nocz,nocz),stvtvp(nocz,nocz),
     *stvtv(nocz,nocz),
     *sttpvpv(nvz,nvz),stpvpv(nvz,nvz),spvpv(nvz,nvz),
     *sttvppv(nocz,nvz),sttvpv(nocz,nvz),stvppv(nocz,nvz),
     *stvpv(nocz,nvz)
      real*4 stvtvppv(nocz,nocz,nvz),
     *stvtvpv(nocz,nocz,nvz),
     *sttvpvpv(nocz,nvz,nvz),stvpvpv(nocz,nvz,nvz)
c     real*4 stvtvpvpv(nocz*(nocz+1)/2,nvz*(nvz+1)/2)
      real*4 stvtvpvpv(ii28)
c      real*4 stvtvpvpv(nocz,nocz,nvz,nvz)
C-----------------------------------------------------------------------
c     Mise a zero des tableaux
      do i=1,nocz
         sttvpp(i)=0.d0
         stvpp(i)=0.d0
         sttvp(i)=0.d0
         stvp(i)=0.d0
         sttv(i)=0.d0
         stv(i)=0.d0
      end do
      do i=1,nvz
         sttppv(i)=0.d0
         sttpv(i)=0.d0
         stppv(i)=0.d0
         stpv(i)=0.d0
         sppv(i)=0.d0
         spv(i)=0.d0
      end do
      do j=1,nocz
         do i=1,nocz
            stvtvpp(i,j)=0.d0
            stvtvp(i,j)=0.d0
            stvtv(i,j)=0.d0
            do k=1,nvz
               stvtvppv(i,j,k)=0.d0
               stvtvpv(i,j,k)=0.d0
c              do l=1,nvz
c                stvtvpvpv(i,j,k,l)=0.d0
c              end do
            end do
         end do
      end do
c     do j=1,nvz*(nvz+1)/2
c        do k=1,nocz*(nocz+1)/2
c           stvtvpvpv(k,j)=0.d0
c        enddo
c     enddo
      do k=1,ii28
         stvtvpvpv(k)=0
      enddo
      do i=1,nvz
         do j=1,nvz
            sttpvpv(j,i)=0.d0
            stpvpv(j,i)=0.d0
            spvpv(j,i)=0.d0
            do k=1,nocz
               sttvpvpv(k,j,i)=0.d0
               stvpvpv(k,j,i)=0.d0
            end do
         end do
      end do
      do i=1,nocz
         do j=1,nvz
            sttvppv(i,j)=0.d0
            sttvpv(i,j)=0.d0
            stvppv(i,j)=0.d0
            stvpv(i,j)=0.d0
         end do
      end do
C
      sttpp=0.d0
      sttp=0.d0
      stt=0.d0
      stpp=0.d0
      stp=0.d0
      st=0.d0
      spp=0.d0
      sp=0.d0
      return
      end
